Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006625OCaml-for ocamlbuild use https://github.com/ocaml/ocamlbuild/issuespublic2014-10-23 12:242016-12-07 11:47
Reporterwhitequark 
Assigned Towhitequark 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.02.2+dev / +rc1 
Summary0006625: ocamlbuild should pass -linkpkg together with -output-obj
DescriptionE.g. using this rule:

      flag ["ocaml"; "link"; "output_obj"] &
        A"-linkpkg";

Otherwise, if you use any -package's, ocamlc/ocamlopt will complain of not being able to find implementations.
Tagspatch
Attached Filespatch file icon ocamlbuild-output_obj-linkpkg.patch [^] (956 bytes) 2014-12-19 06:05 [Show Content]

- Relationships
related to 0006797closeddoligez -output-obj should support autolink 

-  Notes
(0012879)
whitequark (developer)
2014-12-19 04:11

Reminder sent to: gasche

gasche, can you please apply the trivial fix contained in this issue?
(0012880)
whitequark (developer)
2014-12-19 04:13

Attached patch properly checks -use-ocamlfind.
(0012900)
gasche (administrator)
2014-12-21 11:41

Merged in 4.02 and trunk.

Do you know about ocamlbuild/testsuite? It is really convenient to write test against in my experience. For using it, my workflow is to "opam compiler-conf reinstall" and then run the tests from the toplevel. I hope you keep contributing features to ocamlbuild lately; you should consider writing small tests to validate that they work as expected.
(0012903)
whitequark (developer)
2014-12-21 12:32

I did not. I've looked into it and I could not find a non-terrible way to test that -linkpkg is indeed passed. The object file would be built successfully whether it is passed or not...

- Issue History
Date Modified Username Field Change
2014-10-23 12:24 whitequark New Issue
2014-12-18 00:12 doligez Status new => acknowledged
2014-12-19 04:11 whitequark Note Added: 0012879
2014-12-19 04:13 whitequark File Added: ocamlbuild-output_obj-linkpkg.patch
2014-12-19 04:13 whitequark Note Added: 0012880
2014-12-19 04:16 whitequark File Deleted: ocamlbuild-output_obj-linkpkg.patch
2014-12-19 04:16 whitequark File Added: ocamlbuild-output_obj-linkpkg.patch
2014-12-19 06:05 whitequark File Deleted: ocamlbuild-output_obj-linkpkg.patch
2014-12-19 06:05 whitequark File Added: ocamlbuild-output_obj-linkpkg.patch
2014-12-21 11:41 gasche Note Added: 0012900
2014-12-21 11:41 gasche Status acknowledged => resolved
2014-12-21 11:41 gasche Fixed in Version => 4.02.2+dev / +rc1
2014-12-21 11:41 gasche Resolution open => fixed
2014-12-21 11:41 gasche Assigned To => whitequark
2014-12-21 12:32 whitequark Note Added: 0012903
2015-02-27 21:05 whitequark Relationship added related to 0006797
2015-03-06 01:34 whitequark Tag Attached: patch
2016-12-07 11:47 xleroy Status resolved => closed
2017-02-23 16:34 doligez Category OCamlbuild (the tool) => for ocamlbuild use https://github.com/ocaml/ocamlbuild/issues [^]
2017-02-23 16:44 doligez Category for ocamlbuild use https://github.com/ocaml/ocamlbuild/issues [^] => -for ocamlbuild use https://github.com/ocaml/ocamlbuild/issues [^]


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker